org.apache.lucene.queryparser.surround.query

## Class TooManyBasicQueries

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.lucene.queryparser.surround.query.TooManyBasicQueries

All Implemented Interfaces:
  Serializable

    public class TooManyBasicQueries
    extends IOException

Exception thrown when `BasicQueryFactory` would exceed the limit of query clauses.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TooManyBasicQueries(int maxBasicQueries)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TooManyBasicQueries

    public TooManyBasicQueries(int maxBasicQueries)